Name:       libdbusmenu
Version:    12.10.2
Release:    1%{?dist}
Summary:    A little library that that allows dynamic menus

Group:      System Environment/Libraries
License:    GPLv3
URL:        https://launchpad.net/libdbusmenu
Source0:    https://launchpad.net/libdbusmenu/12.10/%{version}/+download/libdbusmenu-%{version}.tar.gz

BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  gtk3-devel
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  json-glib-devel
BuildRequires:  gobject-introspection-devel

%description
A small little library that was created by pulling out some common code out of
indicator-applet. It passes a menu structure across DBus so that a program
can create a menu simply without worrying about how it is displayed on the
other side of the bus.

%package    devel
Summary:    Development files for libdbusmenu
Group:      Development/Libraries
Requires:   %{name} = %{version}

%description devel
Development files for libdbusmenu

%package doc
Summary:    Documentation for libdbusmenu
Group:      Documentation

%description doc
Documentation for libdbusmenu

%package gtk3
Summary:    GTK3 Bindings for libdbusmenu
Group:      System Environment/Libraries
Requires:   %{name} = %{version}

%description gtk3
GTK3 bindings for libdbusmenu

%package    gtk3-devel
Summary:    Development files for libdbusmenu-gtk3
Group:      Development/Libraries
Requires:   %{name}-gtk3 = %{version}

%description gtk3-devel
Development files for libdbusmenu-gtk3

%package gtk2
Summary:    GTK2 Bindings for libdbusmenu
Group:      System Environment/Libraries
Requires:   %{name} = %{version}

%description gtk2
GTK2 bindings for libdbusmenu

%package    gtk2-devel
Summary:    Development files for libdbusmenu-gtk2
Group:      Development/Libraries
Requires:   %{name}-gtk2 = %{version}

%description gtk2-devel
Development files for libdbusmenu-gtk2

%package    gtk-doc
Summary:    Documentation for libdbusmenu gtk bindings
Group:      Documentation

%description gtk-doc
Documentation for libdbusmenu gtk bindings (both gtk2 and gtk3).

%prep
%setup -q

%build
mkdir build-gtk3
for i in `ls ./`;
do
    if [[ $i != "build-gtk3" ]]; then
        mv $i build-gtk3/
    fi
done
mkdir build-gtk2
cp -r build-gtk3/* build-gtk2/
cd build-gtk3
%configure --disable-static
make %{?_smp_mflags}
cd ../build-gtk2
%configure --disable-static --with-gtk=2
make %{?_smp_mflags}

%install
cd build-gtk3
make install DESTDIR=%{buildroot}
cd ../build-gtk2
make install DESTDIR=%{buildroot}
find %{buildroot} -iname "*.la" | xargs rm -f -

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk3 -p /sbin/ldconfig

%postun gtk3 -p /sbin/ldconfig

%post gtk2 -p /sbin/ldconfig

%postun gtk2 -p /sbin/ldconfig

%files
%doc build-gtk3/COPYING build-gtk3/README build-gtk3/NEWS build-gtk3/ChangeLog build-gtk3/AUTHORS
%{_libdir}/%{name}-glib.so.4
%{_libdir}/%{name}-jsonloader.so.4
%{_libdir}/%{name}-glib.so.4.0.12
%{_libdir}/%{name}-jsonloader.so.4.0.12
%{_libexecdir}/dbusmenu-bench
%{_libexecdir}/dbusmenu-dumper
%{_libexecdir}/dbusmenu-testapp
%{_datadir}/%{name}

%files doc
%{_datadir}/gtk-doc/html/%{name}-glib
%{_datadir}/doc/libdbusmenu/README.dbusmenu-bench
%{_datadir}/doc/libdbusmenu/examples/glib-server-nomenu.c

%files devel
%doc build-gtk3/COPYING build-gtk3/README build-gtk3/NEWS build-gtk3/ChangeLog build-gtk3/AUTHORS
%{_includedir}/%{name}-glib-0.4
%{_libdir}/%{name}-glib.so
%{_libdir}/%{name}-jsonloader.so
%{_libdir}/pkgconfig/dbusmenu-glib-0.4.pc
%{_libdir}/pkgconfig/dbusmenu-jsonloader-0.4.pc
%{_libdir}/girepository-1.0/Dbusmenu-0.4.typelib
%{_datadir}/gir-1.0/Dbusmenu-0.4.gir

%files gtk3
%doc build-gtk3/COPYING build-gtk3/README build-gtk3/NEWS build-gtk3/ChangeLog build-gtk3/AUTHORS
%{_libdir}/%{name}-gtk3.so.4
%{_libdir}/%{name}-gtk3.so.4.0.12

%files gtk-doc
%{_datadir}/gtk-doc/html/%{name}-gtk

%files gtk3-devel
%doc build-gtk3/COPYING build-gtk3/README build-gtk3/NEWS build-gtk3/ChangeLog build-gtk3/AUTHORS
%{_includedir}/%{name}-gtk3-0.4
%{_libdir}/%{name}-gtk3.so
%{_libdir}/pkgconfig/dbusmenu-gtk3-0.4.pc
%{_libdir}/girepository-1.0/DbusmenuGtk3-0.4.typelib
%{_datadir}/gir-1.0/DbusmenuGtk3-0.4.gir

%files gtk2
%doc build-gtk3/COPYING build-gtk3/README build-gtk3/NEWS build-gtk3/ChangeLog build-gtk3/AUTHORS
%{_libdir}/%{name}-gtk.so.4
%{_libdir}/%{name}-gtk.so.4.0.12

%files gtk2-devel
%doc build-gtk3/COPYING build-gtk3/README build-gtk3/NEWS build-gtk3/ChangeLog build-gtk3/AUTHORS
%{_includedir}/%{name}-gtk-0.4
%{_libdir}/%{name}-gtk.so
%{_libdir}/pkgconfig/dbusmenu-gtk-0.4.pc
%{_libdir}/girepository-1.0/DbusmenuGtk-0.4.typelib
%{_datadir}/gir-1.0/DbusmenuGtk-0.4.gir

%changelog
* Fri May 24 2013 Wesley Hearn <whearn@redhat.com> - 12.10.2-1
- Initial package
